## ceilometer 2014.1

=== requirements.txt ===
alembic>=0.4.1
anyjson>=0.3.3
argparse
croniter>=0.3.4 # MIT License
eventlet>=0.13.0
Flask>=0.10,<1.0
happybase>=0.5,!=0.7
iso8601>=0.1.9
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
kombu>=2.4.8
lockfile>=0.8
lxml>=2.3
msgpack-python
netaddr>=0.7.6
oslo.config>=1.2.0
oslo.vmware>=0.2                        # Apache-2.0
pbr>=0.6,<1.0
pecan>=0.4.5
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.6
python-glanceclient>=0.9.0
python-keystoneclient>=0.7.0
python-novaclient>=2.17.0
python-swiftclient>=1.6
pytz>=2010h
PyYAML>=3.1.0
requests>=1.1
six>=1.5.2
SQLAlchemy>=0.7.8,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
stevedore>=0.14
WebOb>=1.2.3
WSME>=0.6

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.6.0),
 debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-anyjson (>= 0.3.3),
 python-babel (>= 0.9.6),
 python-ceilometerclient (>= 1.0.6),
 python-croniter,
 python-coverage,
 python-docutils,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:0.9.3),
 python-httplib2,
 python-happybase (>= 0.4),
 python-iso8601 (>=0.1.8),
 python-jsonpath-rw,
 python-keystoneclient (>= 1:0.4.1),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-migrate,
 python-mock,
 python-mox,
 python-msgpack,
 python-mysqldb,
 python-netaddr (>= 0.7.6),
 python-nova,
 python-novaclient (>= 1:2.15.0),
 python-oslo.config (>= 1:1.2.0),
 python-oslo.sphinx,
 python-pbr (>= 0.5.21),
 python-pecan (>= 0.2.0),
 python-pymongo (>= 2.6),
 python-requests (>= 1.1),
 python-simplejson,
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.13),
 python-subunit,
 python-six (>= 1.4.1),
 python-swift,
 python-swiftclient (>= 1.5),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 python-yaml (>= 3.1.0),
 testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/icehouse

Package: python-ceilometer
Architecture: all
Depends:
 alembic (>= 0.6.0),
 python-msgpack,
 python-anyjson (>= 0.3.3),
 python-ceilometerclient (>= 1.0.6),
 python-eventlet (>= 0.13.0),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:0.9.3),
 python-happybase (>= 0.4),
 python-iso8601 (>= 0.1.8),
 python-keystoneclient (>= 1:0.4.1),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-migrate,
 python-netaddr,
 python-novaclient (>= 1:2.15.0),
 python-oslo.config (>= 1:1.2.0),
 python-pecan (>= 0.2.0),
 python-pymongo (>= 2.6),
 python-six (>= 1.4.1),
 python-yaml (>= 3.1.0),
 python-requests (>= 1.1),
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.12),
 python-swiftclient (>= 1.5),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-pysnmp4
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer alarm evaluator
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/ceilometer/+download https://launchpad.net/ceilometer/.*/.*/.*/ceilometer-(.*)\.tar\.gz

## ceilometer 2014.1.2

=== requirements.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 pytz>=2010h
 PyYAML>=3.1.0
 requests>=1.1
-six>=1.5.2
-SQLAlchemy>=0.7.8,<=0.9.99
+six>=1.6.0
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 sqlalchemy-migrate>=0.8.2,!=0.8.4
 stevedore>=0.14
 WebOb>=1.2.3

=== debian/changelog ===
ceilometer (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 01:05:27 +0800

ceilometer (2014.1.1-4) unstable; urgency=medium

  * Add a new set of patches for OpenContrail.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Jul 2014 23:22:30 +0800

ceilometer (2014.1.1-3) unstable; urgency=medium

  * Updated the Danish debconf template thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #753976).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Jul 2014 14:43:01 +0800

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 9~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.2),
                     mongodb,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-ceilometerclient (>= 1.0.6),
                     python-coverage (>= 3.6),
                     python-croniter,
                     python-docutils (>= 0.9.1),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-flask (>= 0.10),
                     python-glance (>= 2014.1~),
                     python-glanceclient (>= 1:0.10.0),
                     python-hacking (>= 0.8),
                     python-happybase (>= 0.8),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.8),
                     python-jsonpath-rw,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.6.0),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-msgpack,
                     python-mysqldb,
                     python-netaddr (>= 0.7.6),
                     python-nova (>= 2013.2~),
                     python-novaclient (>= 2:2.17.0),
                     python-oslo.config (>= 1.2.1),
                     python-oslo.vmware,
                     python-oslosphinx,
                     python-pecan (>= 0.4.5),
                     python-pymongo (>= 2.4),
                     python-pysnmp4 (>= 4.2.1),
                     python-requests (>= 1.1),
                     python-six (>= 1.6.0),
                     python-sphinxcontrib-docbookrestapi,
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme (>= 0.6),
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-swift (>= 1.12.0),
                     python-swiftclient (>= 1:1.6.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-tz,
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.6),
                     python-yaml,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.2),
         libjs-jquery,
         python-anyjson (>= 0.3.3),
         python-ceilometerclient (>= 1.0.6),
         python-croniter,
         python-eventlet (>= 0.13.0),
         python-flask (>= 0.10),
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.4),
         python-happybase (>= 0.8),
         python-iso8601 (>= 0.1.8),
         python-jsonpath-rw,
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.6.0),
         python-kombu (>= 2.4.8),
         python-lockfile,
         python-lxml,
         python-migrate (>= 0.8.2),
         python-msgpack,
         python-mysqldb,
         python-netaddr (>= 0.7.6),
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1.2.1),
         python-oslo.vmware,
         python-pbr (>= 0.6),
         python-pecan (>= 0.4.5),
         python-pymongo (>= 2.4),
         python-pysnmp4 (>= 4.2.1),
         python-requests (>= 1.1),
         python-six (>= 1.6.0),
         python-sqlalchemy (>= 0.7.8),
         python-stevedore (>= 0.14),
         python-swiftclient (>= 1:1.6.0),
         python-tz,
         python-webob (>= 1.2.3),
         python-wsme (>= 0.6),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the central agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm notifier daemon.

Package: ceilometer-agent-notification
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the notification agent daemon.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -rf ceilometer.egg-info
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	dh_install
	install -D -m 0644 $(CURDIR)/etc/ceilometer/ceilometer.conf.sample	$(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/*.upstart
	rm -rf debian/ceilometer-common.postinst
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		bash -x ./setup-test-env.sh testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

=== debian/watch ===
version=3
https://github.com/openstack/ceilometer/tags .*/(\d[\d\.]+)\.tar\.gz

## ceilometer 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 requests>=1.1
 six>=1.6.0
 SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
-sqlalchemy-migrate>=0.8.2,!=0.8.4
+sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
 stevedore>=0.14
 WebOb>=1.2.3
 WSME>=0.6

=== debian/changelog ===
ceilometer (2014.1.3-6) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools (>= 22~): starts daemons on first install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 15:37:34 +0000

ceilometer (2014.1.3-5) unstable; urgency=medium

  * Now depends on openstack-pkg-tools (>= 21~).
  * Patches sslutils.py to remove ssl.PROTOCOL_SSLv3 which isn't defined in
    Debian anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Dec 2014 18:39:35 +0800

ceilometer (2014.1.3-4) unstable; urgency=medium

  * Added nl.po debconf translation thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #766527).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 16:47:39 +0000

ceilometer (2014.1.3-3) unstable; urgency=medium

  * Removed debian/*.init and debian/*.service from source.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 08:21:23 +0000

ceilometer (2014.1.3-2) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.
  * Standards-Version is now 3.9.6 (no change).
  * Fixed duplicate short description.
  * Removed d3 from debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:21:44 +0800

ceilometer (2014.1.3-1) unstable; urgency=medium

  [ Mehdi Abaakouk ]
  * Change the way to ignore test_bin.py file (Closes: #759967)

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 20:36:59 +0800

ceilometer (2014.1.2-3) unstable; urgency=medium

  * Change the way to ignore test_bin.py file (Closes: #759967).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2014 14:06:37 +0000

ceilometer (2014.1.2-2) unstable; urgency=medium

  * Added PYTHONPATH=. before launching the test suite.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2014 04:32:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools (>= 9~),
+               dh-systemd,
+               openstack-pkg-tools (>= 22~),
                po-debconf,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.6),
@@ -30,7 +31,7 @@
                      python-iso8601 (>= 0.1.8),
                      python-jsonpath-rw,
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneclient (>= 1:0.6.0),
+                     python-keystoneclient (>= 1:0.7.0),
                      python-kombu (>= 2.4.8),
                      python-lockfile,
                      python-lxml,
@@ -66,7 +67,7 @@
                      python-yaml,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
 Homepage: http://wiki.openstack.org/Ceilometer
@@ -88,7 +89,7 @@
          python-iso8601 (>= 0.1.8),
          python-jsonpath-rw,
          python-jsonschema (>= 2.0.0),
-         python-keystoneclient (>= 1:0.6.0),
+         python-keystoneclient (>= 1:0.7.0),
          python-kombu (>= 2.4.8),
          python-lockfile,
          python-lxml,
@@ -255,7 +256,7 @@
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends}
-Description: OpenStack efficient metering counters system - alarm notifier
+Description: OpenStack efficient metering counters system - agent notification
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
  all current and future OpenStack components. The delivery of counters must be

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@  --with python2
+	dh $@  --with python2,systemd
 
 override_dh_clean:
 	dh_clean
@@ -31,6 +31,7 @@
 	rm -rf debian/*.upstart
 	rm -rf debian/ceilometer-common.postinst
 	find . -iname '*.pyc' -delete
+	rm -f debian/*.init debian/*.service debian/*.upstart
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -38,7 +39,7 @@
 	testr init
 	set -e && \
 		TEMP_REZ=`mktemp -t` && \
-		bash -x ./setup-test-env.sh testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		PYTHONPATH=.:./ceilometer bash -x ./setup-test-env.sh testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest

## ceilometer 2014.1.5

=== requirements.txt ===
alembic>=0.4.1,<=0.7.5.post2
anyjson>=0.3.3,<=0.3.3
argparse
croniter>=0.3.4,<=0.3.5 # MIT License
# List oslo.vmware early to ensure its transitive eventlet dependency
# on eventlet is satisifed.
oslo.vmware<0.6.0                       # Apache-2.0
eventlet>=0.13.0,<0.16.0
Flask>=0.10,<1.0
happybase>=0.5,!=0.7,<=0.9
iso8601>=0.1.9,<=0.1.10
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
kombu>=2.5.0,<=3.0.7
lockfile>=0.8,<=0.10.2
lxml>=2.3,<=3.4.2
msgpack-python<=0.4.6
netaddr>=0.7.6,<=0.7.14
oslo.config>=1.2.0,<1.5
pbr>=0.6,<1.0
pecan>=0.4.5,<=0.8.3
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.6,<=1.0.12
python-glanceclient>=0.9.0,!=0.14.0,<=0.14.2
python-keystoneclient>=0.7.0,<0.12.0
python-novaclient>=2.17.0,<2.21
python-swiftclient>=1.6,<=2.3.1
pytz>=2010h,<=2015.2
PyYAML>=3.1.0,<=3.11
requests>=1.1,<=2.6.0
six>=1.6.0,<=1.9.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
stevedore>=0.14
WebOb>=1.2.3,<=1.4
WSME>=0.6,<=0.6.4

=== debian/changelog ===
ceilometer (2014.1.5-0ubuntu2) trusty; urgency=medium

  * 0001-Optimize-resource-list-query.patch: Optimize resource list
    query. (LP: #1404076).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Tue, 14 Jul 2015 08:18:13 -0500

ceilometer (2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (04b66db) (LP: #1467533):
    - [737e899] Fixes ceilometer-compute service start failure
    - [04b66db] fix the value of query_spec.maxSample to advoid to be zero
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:11:03 -0400

ceilometer (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 08:39:45 -0400

ceilometer (2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (c837d83) (LP: #1432608):
    - [bc9013b] Transform sample_cnt type to int
    - [449f9d5] Move oslo.vmware higher in requirements.txt
    - [28f5027] Fix listener for update.start notifications
    - [63d934b] ensure dispatcher service is configured before rpc
    - [2a546ac] Fix a response header bug in the error middleware
    - [c837d83] Iterates swift response earlier to get the correct status
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 08:53:13 +0000

ceilometer (2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (4e2c1cd) (LP: #1377136):
    - [ccd6b98] VMware: Support secret host_password option
    - [7ff220f] Fix tests with testtools>=0.9.39
    - [014c41e] update default_log_levels set by ceilometer
    - [0ba75c8] fix statistics query in postgres
    - [4e2c1cd] fix StringIO errors in unit test
  * d/p/fix-requirements.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Oct 2014 15:21:02 -0400

ceilometer (2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (2b6454f) (LP: #1354159):
    - [e491837] Set python hash seed to 0 in tox.ini
    - [99b7ef8] Update ensure()/reconnect() to catch MessagingError
    - [af1eb64] Sync RPC module from oslo, fixing reconnect failures
    - [47770db] Adds Content-Type to alarm REST notifier
    - [4be8616] Remove low-value logging from publication codepath
    - [096106f] Ensure routing key is specified in the address for a direct producer
    - [2b6454f] remove token from notifier middleware
  * d/p/fix-requirements.patch: Refresh.

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Aug 2014 21:57:17 -0400

ceilometer (2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (a1ec218) (LP: #1328134):
    - [84635e6] Fix testing gate due to new keystoneclient release
    - [c52904d] Fix network notifications of neutron bulk creation
    - [06eb8bc] Sync kombu_reconnect_delay from Oslo
    - [d247af3] Updated from global requirements
    - [82eed26] Disable specifying alarm itself in combination rule
    - [94c12fd] Adapt failing tests for latest wsme version
    - [a1ec218] Use known protocol scheme in keystone tests

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jun 2014 14:49:20 -0400

ceilometer (2014.1-0ubuntu1.1) trusty; urgency=medium

  * d/p/fix-requirements.patch: Drop required version of pecan to 0.3.0
    inline with the version that is provided in 14.04 (LP: #1317147).

 -- James Page <james.page@ubuntu.com>  Fri, 16 May 2014 12:11:00 -0400

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.6.0),
 debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-anyjson (>= 0.3.3),
 python-babel (>= 0.9.6),
 python-ceilometerclient (>= 1.0.6),
 python-croniter,
 python-coverage,
 python-docutils,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:0.9.3),
 python-httplib2,
 python-happybase (>= 0.4),
 python-iso8601 (>=0.1.8),
 python-jsonpath-rw,
 python-keystoneclient (>= 1:0.4.1),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-migrate,
 python-mock,
 python-mox,
 python-msgpack,
 python-mysqldb,
 python-netaddr (>= 0.7.6),
 python-nova,
 python-novaclient (>= 1:2.15.0),
 python-oslo.config (>= 1:1.2.0),
 python-oslo.sphinx,
 python-pbr (>= 0.5.21),
 python-pecan (>= 0.2.0),
 python-pymongo (>= 2.6),
 python-requests (>= 1.1),
 python-simplejson,
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.13),
 python-subunit,
 python-six (>= 1.5.2),
 python-swift,
 python-swiftclient (>= 1.5),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 python-yaml (>= 3.1.0),
 testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/icehouse

Package: python-ceilometer
Architecture: all
Depends:
 alembic (>= 0.6.0),
 python-msgpack,
 python-anyjson (>= 0.3.3),
 python-ceilometerclient (>= 1.0.6),
 python-eventlet (>= 0.13.0),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:0.9.3),
 python-happybase (>= 0.4),
 python-iso8601 (>= 0.1.8),
 python-keystoneclient (>= 1:0.4.1),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-lockfile (>= 0.8),
 python-migrate,
 python-netaddr,
 python-novaclient (>= 1:2.15.0),
 python-oslo.config (>= 1:1.2.0),
 python-pecan (>= 0.2.0),
 python-pymongo (>= 2.6),
 python-six (>= 1.5.2),
 python-yaml (>= 3.1.0),
 python-requests (>= 1.1),
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.12),
 python-swiftclient (>= 1.5),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-pysnmp4
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer alarm evaluator
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.
